{% extends "account/base.html" %}
{% load i18n staticfiles %}
{% block head_title %}{% trans "Akun Email" %} :: {{ block.super }}{% endblock %}

{% block content %}
  <div uk-grid>
    <div class="uk-width-1-1">
      <div class="uk-margin uk-text-center uk-flex uk-flex-center uk-flex-middle">
        <div class="uk-margin-auto uk-width-1-{% if user.emailaddress_set.all %}2{% else %}3{% endif %}@s uk-card uk-card-body">
          <div class="uk-flex uk-flex-center uk-flex-middle">
            <a href="/" class="spf-link">
              <canvas width="100" uk-svg="" src="{% static 'images/logos/svg/logo-150x150.svg' %}" style="color: #1e87f0" hidden="true"></canvas>
            </a>
          </div>

          {% if user.emailaddress_set.all %}
            <form class="uk-form email_list" method="post" action="{% url 'account_email' %}">{% csrf_token %}
              <div class="uk-margin">
                <p>{% trans "Alamat email berikut ini terkait dengan akun Anda:" %}</p>
              </div>
              <div class="uk-margin ctrlHolder">
                {% for emailaddress in user.emailaddress_set.all %}
                  <div class="ctrlHolder">
                    <label for="email_radio_{{forloop.counter}}" class="{% if emailaddress.primary %}primary_email{%endif%}">

                      <input id="email_radio_{{forloop.counter}}" type="radio" name="email" {% if emailaddress.primary or user.emailaddress_set.count == 1 %}checked="checked"{%endif %} value="{{emailaddress.email}}"/>

                      {{ emailaddress.email }}

                      {% if emailaddress.verified %}
                        <span class="uk-label uk-label-success verified">{% trans "Diverifikasi" %}</span>
                      {% else %}
                        <span class="uk-label uk-label-warning unverified">{% trans "Belum Diverifikasi" %}</span>
                      {% endif %}

                      {% if emailaddress.primary %}
                        <span class="uk-label uk-label-default primary">{% trans "Utama" %}</span>
                      {% endif %}
                    </label>
                  </div>
                {% endfor %}

                <div class="uk-margin buttonHolder">
                  <button class="uk-button uk-button-primary uk-button-small secondaryAction" type="submit" name="action_primary" >
                    <span uk-icon="icon: check"></span> {% trans "Jadikan Utama" %}
                  </button>
                  <button class="uk-button uk-button-default uk-button-small secondaryAction" type="submit" name="action_send" >
                    <span uk-icon="icon: mail"></span> {% trans "Kirim ulang Verifikasi" %}
                  </button>
                  <button class="uk-button uk-button-link uk-button-small primaryAction" type="submit" name="action_remove" >
                    <span uk-icon="icon: trash"></span> {% trans "Hapus" %}
                  </button>
                </div>
              </div>
            </form>
          {% else %}
            <div class="uk-alert-warning uk-text-small" uk-alert>
              <p><strong>{% trans "Peringatan:"%}</strong> {% trans "Saat ini Anda tidak memiliki alamat e-mail yang disiapkan. Anda seharusnya menambahkan alamat email agar Anda dapat menerima pemberitahuan, mereset kata sandi Anda, dll." %}</p>
            </div>
          {% endif %}

          <form class="uk-form add_email" method="post" action="{% url 'account_email' %}">{% csrf_token %}
            <h5 class="uk-margin-small uk-heading-line uk-text-center">
              <span>{% trans "Tambahkan Alamat E-mail" %}</span>
            </h5>

            <div class="uk-margin">
              <input class="uk-width-1-1 uk-input" name="email" type="email" placeholder="Email" required>
              {% if form.email.errors %}
                {% if form.email.errors|length > 1 %}
                  <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                    {% for error in form.email.errors %}
                      <li class="uk-text-warning">{{ error }}</li>
                    {% endfor %}
                  </ol>
                {% else %}
                  <div class="uk-text-small uk-text-left uk-text-warning">
                    {{ form.email.errors|first }}
                  </div>
                {% endif %}
              {% endif %}
            </div>
            <div class="uk-margin">
              <button name="action_add" type="submit" class="uk-width-1-1 uk-button uk-button-primary">
                <i class="uk-icon-small" uk-icon="icon: plus"></i> {% trans "Tambahkan E-mail" %}
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block extra_body %}
  <script type="text/javascript">
  (function() {
    var message = "{% trans 'Anda yakin ingin menghapus alamat email yang ini?' %}";
    var actions = document.getElementsByName('action_remove');
    if (actions.length) {
      actions[0].addEventListener('click', function(e) {
        if (! confirm(message)) {
          e.preventDefault();
        }
      });
    }
  })();
  </script>
{% endblock %}
